aboutsummaryrefslogtreecommitdiffstats
path: root/main/fprobe/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@gmail.com>2010-11-26 09:25:51 +0000
committerLeonardo Arena <rnalrd@gmail.com>2010-11-26 09:26:16 +0000
commitc315da486a9ecf4b696be7bb982aeb0a9c0ecb0b (patch)
tree4d2ce7d3eb896ccf0fb04fe14afe97f2b967575d /main/fprobe/APKBUILD
parent704d9829495d7810b378409aaa6e4346342a5c35 (diff)
downloadaports-c315da486a9ecf4b696be7bb982aeb0a9c0ecb0b.tar.gz
aports-c315da486a9ecf4b696be7bb982aeb0a9c0ecb0b.tar.bz2
aports-c315da486a9ecf4b696be7bb982aeb0a9c0ecb0b.tar.xz
main/fprobe: fix pid creation
Diffstat (limited to 'main/fprobe/APKBUILD')
-rw-r--r--main/fprobe/APKBUILD23
1 files changed, 19 insertions, 4 deletions
diff --git a/main/fprobe/APKBUILD b/main/fprobe/APKBUILD
index f7311e98e3..f5db4ea826 100644
--- a/main/fprobe/APKBUILD
+++ b/main/fprobe/APKBUILD
@@ -1,19 +1,32 @@
-# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
# Maintainer: Carlo Landmeter <clandmeter@gmail.com>
pkgname=fprobe
pkgver=1.1
-pkgrel=3
+pkgrel=4
pkgdesc="libpcap-based tool that collect network traffic"
url="http://fprobe.sourceforge.net/"
license="GPL"
depends=
makedepends="libpcap-dev"
+install=""
subpackages="$pkgname-doc"
source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.bz2
-$pkgname.initd
-$pkgname.confd"
+ fprobe-1.1-pidfile-sanity.patch
+ fprobe-1.1-setgroups.patch
+ $pkgname.initd
+ $pkgname.confd"
_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd $_builddir
+ for i in ../*.patch
+ do
+ msg "Applying $i"
+ patch -p1 < ../$i || exit 1
+ done
+}
+
build() {
cd "$_builddir"
./configure --prefix=/usr \
@@ -32,5 +45,7 @@ package() {
}
md5sums="65850d0470078269b33eee58cba77ac2 fprobe-1.1.tar.bz2
+265c9d9c434df46fc224a1ce7051e27a fprobe-1.1-pidfile-sanity.patch
+ba8632d883fb49e83ea16db67c50a69b fprobe-1.1-setgroups.patch
41810a73503624de2c27809e34ed80b4 fprobe.initd
ba9c9327456e4db897b60481705df282 fprobe.confd"